# Tourplaner: tourplaner.business.JsonHelper Class Reference

tourplaner.business.JsonHelper Class Reference

## Static Public Member Functions

static String | getStingFromJson (String json, String gets)
static double | getDoubleFromJson (String json, String gets)
static String | getJsonFromObj (Object obj)
static void | getJsonFromObj (Object obj, FileWriter writer)
static ArrayList< Tour > | getTourenFromJson (FileReader reader)

## Detailed Description

Hilfsklasse für Json (Gson)

## Member Function Documentation

## getDoubleFromJson()

static double tourplaner.business.JsonHelper.getDoubleFromJson | ( | String | json,
|  | String | gets
| ) |  |

static

Double aus json extrahieren

Parameters

  json | Json als String
  gets | Eintrag im Json unter "route"

Returns
  Gesammelter Double Wert

## getJsonFromObj() [1/2]

static String tourplaner.business.JsonHelper.getJsonFromObj | ( | Object | obj | ) |

static

Erzeugt ein Json aus einem Object

Parameters

  obj | Das Objekt

Returns
  Json des Objektes

## getJsonFromObj() [2/2]

static void tourplaner.business.JsonHelper.getJsonFromObj | ( | Object | obj,
|  | FileWriter | writer
| ) |  |

static

Erzeugt ein Json aus einem Object

Parameters

  obj | Das Objekt
  writer | File in das geschrieben werden soll

## getStingFromJson()

static String tourplaner.business.JsonHelper.getStingFromJson | ( | String | json,
|  | String | gets
| ) |  |

static

String aus json extrahieren

Parameters

  json | Json als String
  gets | Eintrag im Json unter "route"

Returns
  Gesammelter String

## getTourenFromJson()

static ArrayList<Tour> tourplaner.business.JsonHelper.getTourenFromJson | ( | FileReader | reader | ) |

static

Wandelt ein Json file in ein Data Objekt um

Parameters

  reader | File aus dem gelesen wird

Returns
  Data objekt das gelesen wurde

The documentation for this class was generated from the following file:

- src/tourplaner/business/JsonHelper.java